Interface RoutingProtocolConfiguration
- All Known Implementing Classes:
RoutingProtocolConfigurationJson
public interface RoutingProtocolConfiguration
An allowed routing-protocol configuration for an Equinix Internet Access (EIA) v1 service, as
returned by
GET /internetAccess/v1/routingProtocolConfigurations.
This is a read-only response view.
-
Method Summary
-
Method Details
-
getUseCase
UseCase getUseCase()- Returns:
- the intended use case (
MAIN,BACKUPorMANAGEMENT_ACCESS)
-
getType
Redundancy getType()- Returns:
- the redundancy configuration (
SINGLE_PORTorDUAL_PORT)
-
getRoutingProtocol
RoutingConfigRoutingProtocol getRoutingProtocol()- Returns:
- the allowed routing-protocol configuration
-